---
orphan: true
---

# Query resource operation list

Query agent resources in the workspace for asynchronous operations.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/operations
```

## Preparation before calling

The example below uses `$AI_STUDIO_API_KEY` and `$WORKSPACE_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/operations" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and a list of operations on success.

```json
{"code":0,"data":{"items":[]}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.items` | array | Resource operations. |

## Error response

```json
{"code":6,"message":"unauthenticated"}
```
